org.apache.hadoop.yarn.api.protocolrecords

## Enum ApplicationsRequestScope

- java.lang.Object
- - java.lang.Enum<ApplicationsRequestScope>
  - - org.apache.hadoop.yarn.api.protocolrecords.ApplicationsRequestScope

- All Implemented Interfaces:
    Serializable, Comparable<ApplicationsRequestScope>

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public enum ApplicationsRequestScope
      extends Enum<ApplicationsRequestScope>

  Enumeration that controls the scope of applications fetched

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` All jobs
    `OWN` Jobs owned by current user
    `VIEWABLE` Jobs viewable by current user

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationsRequestScope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApplicationsRequestScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final ApplicationsRequestScope ALL

      All jobs

    - #### VIEWABLE

          public static final ApplicationsRequestScope VIEWABLE

      Jobs viewable by current user

    - #### OWN

          public static final ApplicationsRequestScope OWN

      Jobs owned by current user

  - ### Method Detail

    - #### values

          public static ApplicationsRequestScope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApplicationsRequestScope c : ApplicationsRequestScope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApplicationsRequestScope valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.